Bug 365078 - With "Automatically expand groups" enabled, groups are expanded twice or even three times
Summary: With "Automatically expand groups" enabled, groups are expanded twice or even...
Status: RESOLVED WORKSFORME
Alias: None
Product: kmail2
Classification: Applications
Component: composer (show other bugs)
Version: 5.2.2
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-04 17:08 UTC by kramski
Modified: 2017-04-26 18:08 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New mail after automatic group expansion, demo-group for reference (77.34 KB, image/png)
2016-07-04 17:08 UTC, kramski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kramski 2016-07-04 17:08:03 UTC
Created attachment 99848 [details]
New mail after automatic group expansion, demo-group for reference

KMail Version 5.2.2 [on Arch Linux] Using:
KDE Frameworks 5.23.0
Qt 5.7.0 (built against 5.6.0)
The xcb windowing system

When using a group as recipient in a new message, I get a varying number of duplicate group members with  "Automatically expand groups" in effect (enabled in the context menu of the recipient input field).

A group of 3 members expands to 5 to 9 recipient lines.

With manual expansion, there are no duplicates.
Comment 1 Laurent Montel 2016-07-04 18:51:57 UTC
I can't confirm for the moment.
I need more info how you created it etc.

Here it works fine
Comment 2 kramski 2016-07-04 21:01:00 UTC
While the original report refers to my notebook, I can reproduce the issue on my desktop as well (very similar machine, same versions, but set up independently, not cloned).

Can also be observed with a more or less virgin user account.

Step to reproduce:

1. Create a demo group "demo-group" in KAdressbook of 3 members (I was using a@bc.de to c@bc.de)
2. Create a new message in KMail
3. Right click on the "To" input field and enable "Automatically expand groups"
4. Enter "demo" in the "To" input field and chose "demo-group" from the auto completion menu
5. Watch 5 to 9 "To" lines appear instead of 3.
Comment 3 Laurent Montel 2016-07-05 06:17:13 UTC
I retested it but no success...
I don't understand what is the problem for you (or perhaps it was fixed in 5.3...
Comment 4 kramski 2017-04-23 20:55:59 UTC
KMail 5.5.0 solves this bug for me.

Thank you.
Comment 5 Christoph Feck 2017-04-26 18:08:13 UTC
Thanks for the update; closing.